package request


type AlibabaWdkSkuScrollQueryRequest struct {
    /*
        商家类目编码     */
    MerchantCatCode  *string `json:"merchant_cat_code,omitempty" required:"false" `
    /*
        门店编码     */
    OuCode  *string `json:"ou_code,omitempty" required:"false" `
    /*
        游标：第一次请求不用填写，否则请填写上一次请求返回的值，直到获取到足够的数据     */
    ScrollId  *string `json:"scroll_id,omitempty" required:"false" `
    /*
        英文逗号分隔的商品编码，最多20个。如果配合门店字段使用，直接非游标方式返回商品数据     */
    SkuCodes  *string `json:"sku_codes,omitempty" required:"false" `
}

func (s *AlibabaWdkSkuScrollQueryRequest) SetMerchantCatCode(v string) *AlibabaWdkSkuScrollQueryRequest {
    s.MerchantCatCode = &v
    return s
}
func (s *AlibabaWdkSkuScrollQueryRequest) SetOuCode(v string) *AlibabaWdkSkuScrollQueryRequest {
    s.OuCode = &v
    return s
}
func (s *AlibabaWdkSkuScrollQueryRequest) SetScrollId(v string) *AlibabaWdkSkuScrollQueryRequest {
    s.ScrollId = &v
    return s
}
func (s *AlibabaWdkSkuScrollQueryRequest) SetSkuCodes(v string) *AlibabaWdkSkuScrollQueryRequest {
    s.SkuCodes = &v
    return s
}

func (req *AlibabaWdkSkuScrollQueryRequest) ToMap() map[string]interface{} {
    paramMap := make(map[string]interface{})
    if(req.MerchantCatCode != nil) {
        paramMap["merchant_cat_code"] = *req.MerchantCatCode
    }
    if(req.OuCode != nil) {
        paramMap["ou_code"] = *req.OuCode
    }
    if(req.ScrollId != nil) {
        paramMap["scroll_id"] = *req.ScrollId
    }
    if(req.SkuCodes != nil) {
        paramMap["sku_codes"] = *req.SkuCodes
    }
    return paramMap
}

func (req *AlibabaWdkSkuScrollQueryRequest) ToFileMap() map[string]interface{} {
    fileMap := make(map[string]interface{})
    return fileMap
}